@using Microsoft.AspNetCore.Hosting.Internal
@using Microsoft.AspNetCore.Http
@using MySqlX.XDevAPI
        
@if (ViewData["alert"] != null)
{
    <div class="col-lg-12 alert">
        <div class="alert-title">
            <i class="fas fa-ban"></i>Whoops!
        </div>
        @ViewData["alert"]
    </div>
}
        
@if (ViewData["alert-info"] != null)
{
    <div class="col-lg-12 alert alert-info">
        <div class="alert-title">
            <i class="fas fa-info"></i>Hi!
        </div>
        @ViewData["alert-info"]
    </div>
}
        
@if (ViewData["alert-error"] != null)
{
    <div class="col-lg-12 alert alert-error">
        <div class="alert-title">
            <i class="fas fa-ban"></i>Whoops!
        </div>
        @ViewData["alert-error"]
    </div> 
}
@if(ViewData["alert-success"] != null)
{
    <div class="col-lg-12 alert alert-success">
        <div class="alert-title">
            <i class="fas fa-check"></i>Nice!
        </div>
        @ViewData["alert-success"]
    </div>
}

@if (Context.Session.Keys.ToList().Contains("error"))
{
    foreach (var error in Context.Session.Get<List<string>>("error"))
    {
        <div class="col-lg-12 alert alert-error">
            <div class="alert-title">
                <i class="fas fa-ban"></i>Whoops!
            </div>
            @error
        </div>
    }
    Context.Session.Remove("error");
}

@if (Context.Session.Keys.ToList().Contains("succes"))
{
    foreach (var success in Context.Session.Get<List<string>>("succes"))
    {
        <div class="col-lg-12 alert alert-success">
            <div class="alert-title">
                <i class="fas fa-check"></i>Nice!
            </div>
            @success
        </div>
    }
   
    Context.Session.Remove("succes");
}